/**
 * @private
 */
export class InvalidDateTimeError extends LuxonError {
    constructor(reason: any);
}
/**
 * @private
 */
export class InvalidIntervalError extends LuxonError {
    constructor(reason: any);
}
/**
 * @private
 */
export class InvalidDurationError extends LuxonError {
    constructor(reason: any);
}
/**
 * @private
 */
export class ConflictingSpecificationError extends LuxonError {
}
/**
 * @private
 */
export class InvalidUnitError extends LuxonError {
    constructor(unit: any);
}
/**
 * @private
 */
export class InvalidArgumentError extends LuxonError {
}
/**
 * @private
 */
export class ZoneIsAbstractError extends LuxonError {
    constructor();
}
/**
 * @private
 */
declare class LuxonError extends Error {
}
export {};
